package com.github.wxiaoqi.security.admin.bo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author libin
 * @version 1.0
 * @description
 * @data 2019/11/26 17:09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class StaffStatisticsTotalBo {
    private Integer staffNum;
    private BigDecimal totalSellAmount;
    private BigDecimal totalRoyaltyAmount;

    public Integer getStaffNum() {
        return this.staffNum==null?0:staffNum;
    }

    public BigDecimal getTotalSellAmount() {
        return this.totalSellAmount==null?BigDecimal.ZERO:totalSellAmount;
    }

    public BigDecimal getTotalRoyaltyAmount() {
        return this.totalRoyaltyAmount==null?BigDecimal.ZERO:totalRoyaltyAmount;
    }
}
